summaryrefslogtreecommitdiffstats
path: root/base/tps-client/etc
diff options
context:
space:
mode:
authorJack Magne <jmagne@dhcp-16-213.sjc.redhat.com>2014-08-11 17:25:21 -0700
committerJack Magne <jmagne@dhcp-16-213.sjc.redhat.com>2014-08-22 17:20:24 -0700
commit20b9d956aab21a5a2a61162e6c88fbee5828a9e9 (patch)
tree510da67f5ffd2e16f78af469c7fd182d81ded281 /base/tps-client/etc
parent8f418fbcec0bda83ea4247059f5142be3c3d1ca5 (diff)
downloadpki-20b9d956aab21a5a2a61162e6c88fbee5828a9e9.tar.gz
pki-20b9d956aab21a5a2a61162e6c88fbee5828a9e9.tar.xz
pki-20b9d956aab21a5a2a61162e6c88fbee5828a9e9.zip
Misc TPS packaging tasks:
1. Make sure the new TPS packages all the applet files, like the old TPS has done. 2. Create a small new package called "pki-tps-client", which will hold ONLY the command line utility "tpsclient" and all of its supporting libraries. 3. Move the directory pki/base/tps to pki/base/tps-client We will do this until we can rewrite "tpclien" on the new Java TPS system. Add package pki-tps-client.
Diffstat (limited to 'base/tps-client/etc')
-rwxr-xr-xbase/tps-client/etc/init.d/pki-tpsd87
1 files changed, 87 insertions, 0 deletions
diff --git a/base/tps-client/etc/init.d/pki-tpsd b/base/tps-client/etc/init.d/pki-tpsd
new file mode 100755
index 000000000..b061d2af8
--- /dev/null
+++ b/base/tps-client/etc/init.d/pki-tpsd
@@ -0,0 +1,87 @@
+#!/bin/bash
+#
+# --- BEGIN COPYRIGHT BLOCK ---
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+# Copyright (C) 2007-2010 Red Hat, Inc.
+# All rights reserved.
+# --- END COPYRIGHT BLOCK ---
+#
+# pki-tpsd Startup script for the Apache HTTP pki-tps Server
+#
+# chkconfig: - 87 13
+# description: Token Processing System (Apache)
+# processname: pki-tpsd
+# piddir: /var/run/pki/tps
+# config: ${PKI_INSTANCE_PATH}/conf/httpd.conf
+
+PROG_NAME=`basename $0`
+SERVICE_NAME="pki-tpsd"
+SERVICE_PROG="/sbin/service"
+PKI_PATH="/usr/share/pki/tps"
+PKI_REGISTRY="/etc/sysconfig/pki/tps"
+PKI_TYPE="pki-tps"
+PKI_TOTAL_PORTS=3
+
+# Avoid using 'systemctl' for now
+SYSTEMCTL_SKIP_REDIRECT=1
+export SYSTEMCTL_SKIP_REDIRECT
+
+# Disallow 'others' the ability to 'write' to new files
+umask 00002
+
+command="$1"
+pki_instance="$2"
+
+# Source function library.
+. /etc/init.d/functions
+
+# Source the PKI function library
+. /usr/share/pki/scripts/functions
+
+# See how we were called.
+case $command in
+ status)
+ registry_status
+ exit $?
+ ;;
+ start)
+ start
+ exit $?
+ ;;
+ restart)
+ restart
+ exit $?
+ ;;
+ stop)
+ stop
+ exit $?
+ ;;
+ condrestart|force-restart|try-restart)
+ [ ! -f ${lockfile} ] || restart
+ exit $?
+ ;;
+ reload)
+ echo "The 'reload' action is an unimplemented feature."
+ exit ${default_error}
+ ;;
+ *)
+ echo "unknown action ($command)"
+ usage
+ echo "where valid instance names include:"
+ list_instances
+ exit ${default_error}
+ ;;
+esac
+